
package encapsuladores;

public class MeteorologiaDiaria {

     private String fecha;
     private String[] probabilidadPrecipitacion = new String[7];
     private String[] estadoCielo = new String[7];    
     private String temperaturaMaxima;
     private String temperaturaMinima;
     private String humedadRelativaMaxima;
     private String humedadRelativaMinima;     

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
    }
   
    public String getProbabilidadPrecipitacion(int indice) {
        return probabilidadPrecipitacion[indice];
    }      
    
    public void setProbabilidadPrecipitacion(int indice, String probabilidadPrecipitacion) {
        this.probabilidadPrecipitacion[indice] = probabilidadPrecipitacion;
    }     

    public String getEstadoCielo(int indice) {
        return estadoCielo[indice];
    }      
    
    public void setEstadoCielo(int indice, String estadoCielo) {
        this.estadoCielo[indice] = estadoCielo;
    }   
    
    public String getTemperaturaMaxima() {
        return temperaturaMaxima;
    }

    public void setTemperaturaMaxima(String temperaturaMaxima) {
        this.temperaturaMaxima = temperaturaMaxima;
    }

    public String getTemperaturaMinima() {
        return temperaturaMinima;
    }

    public void setTemperaturaMinima(String temperaturaMinima) {
        this.temperaturaMinima = temperaturaMinima;
    } 

    public String getHumedadRelativaMaxima() {
        return humedadRelativaMaxima;
    }

    public void setHumedadRelativaMaxima(String humedadRelativaMaxima) {
        this.humedadRelativaMaxima = humedadRelativaMaxima;
    }

    public String getHumedadRelativaMinima() {
        return humedadRelativaMinima;
    }

    public void setHumedadRelativaMinima(String humedadRelativaMinima) {
        this.humedadRelativaMinima = humedadRelativaMinima;
    }
}
